Skip to main content
GET
Get a user

Authorizations

Authorization
string
header
required

API tokens are passed as Bearer tokens.

Path Parameters

userId
string
required

an user ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.

Pattern: ^(?:usr_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Example:

"usr_a1b2c3d4e5f64789a1b2c3d4e5f64789"

Response

Success

id
string
required

Canonical user ID (usr_ followed by 32 lowercase hexadecimal UUID characters).

Pattern: ^usr_[0-9a-f]{32}$
Example:

"usr_a1b2c3d4e5f64789a1b2c3d4e5f64789"

name
string
required
email
string<email>
required
title
string | null
required
timezone
string | null
required
manager_id
string | null
required

Canonical user ID (usr_ followed by 32 lowercase hexadecimal UUID characters).

Pattern: ^usr_[0-9a-f]{32}$
Example:

"usr_a1b2c3d4e5f64789a1b2c3d4e5f64789"

ats
object | null
required
load
object
required
paused
object
required
pause_dates
object[]
required
work_hours
object
required
attributes
object[]
required
modules
object[]
required
created_at
string<date-time>
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

updated_at
string<date-time>
required

ISO 8601 timestamp. Responses are normalized to UTC with a Z suffix.

app_url
string<uri>
required

Link that opens this resource in the ModernLoop app.